Skip to content

Zerto

All operations require authentication.

24 operationsv1/dedicatedCloud/{serviceName}
Agent setup

Disable Zerto disaster recovery between two VMware on OVHcloud infrastructuresProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/disable

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

secondaryDatacenterId
required
integer

Your secondary datacenter id

secondaryServiceName
required
string

Your secondary dedicatedCloud

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable Zerto disaster recovery between two VMware on OVHcloud infrastructuresDeprecated

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/enable

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/cart/{cartId}/privateCloud instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

primaryEndpointIp
required
ip

Your primary OVH VMware on OVHcloud public IP for the secured replication data tunnel endpoint

secondaryDatacenterId
required
integer

Your secondary datacenter id

secondaryEndpointIp
required
ip

Your secondary OVH VMware on OVHcloud public IP for the secured replication data tunnel endpoint

secondaryServiceName
required
string

Your secondary OVH VMware on OVHcloud

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Unlink migration source virtual datacenter from Zerto disaster recoveryProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/endMigration

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/endMigration \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Change the IP address used by Zerto disaster recovery endpoint for public network accessProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/endpointPublicIp

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

newEndpointPublicIp
required
ip

Your new public IP for the secured replication data tunnel endpoint

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/endpointPublicIp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

List Zerto disaster recovery remote sitesProduction

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/remoteSites

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200ZertoRemoteVra[]successful operation
id
integer

ID of the remote Vra Network

label
string

Name given to this network

remoteEndpointPublicIp
ip

Your onsite endpoint public IP for the secured replication data tunnel

remoteVraNetwork
ipBlock

Internal zerto subnet of your onsite infrastructure (ip/cidr)

remoteZvmInternalIp
ip

Internal ZVM ip on your onsite infrastructure local network

state
StateEnum

Current state of your current Zerto remote site

ValuescreatingdeletingdeliverederrortoCreatetoDeletetoUpdateunknownupdating

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/remoteSites \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "id": 0, "label": "string", "remoteEndpointPublicIp": "192.0.2.0", "remoteVraNetwork": "192.0.2.0/24", "remoteZvmInternalIp": "192.0.2.0", "state": "creating" }]

Create Zerto disaster recovery remote site on VPN endpointProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/remoteSites

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

label
required
string

The name for this connection

preSharedKey
required
stringpassword

Pre-Shared Key to secure data transfer between both sites

remoteEndpointPublicIp
required
ipv4

Your onsite endpoint public IP for the secured replication data tunnel

remoteVraNetwork
required
ipv4Block

Internal zerto subnet of your onsite infrastructure (ip/cidr)

remoteZvmInternalIp
required
ipv4

Internal ZVM ip of your onsite infrastructure

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/remoteSites \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Remove Zerto disaster recovery remote siteProduction

DELETE
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/remoteSites

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Query parameters

id
required
integer

The id number of the network to remove (as returned by a GET call)

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/remoteSites \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Run Zerto disaster recovery health check taskProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/requestHealthCheck

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/requestHealthCheck \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Link migration target virtual datacenter to Zerto disaster recoveryProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/startMigration

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/startMigration \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Get Zerto disaster recovery option statusProduction

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/status

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Profilesuccessful operation
drpType
DrpTypeEnum

Disaster Recovery Plan Type

ValuesonPremiseovh
localSiteInformation
LocalSiteDetails

Information about the site installed on this Dedicated Cloud

remoteSiteInformation
RemoteSiteDetails

Deprecated - Information about the first remote paired site

remoteSitesInformation
RemoteSiteDetails[]

Information about the remote paired sites

state
StateEnum

State of the disaster recovery service

ValuesavailabledelivereddisableddisablingerrormigratingprovisionningrecyclingreservedtoDisabletoProvisiontoRecycletoRemovetoUnprovisionunprovisionningupgrading
systemVersion
string

Technical solution used

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/status \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "drpType": "onPremise", "localSiteInformation": { "endpointPublicIp": "192.0.2.0", "role": "primary", "state": "available", "type": "onPremise", "vraNetwork": "192.0.2.0/24", "zertoVersion": "string", "zvmIp": "192.0.2.0" }, "remoteSiteInformation": { "datacenterId": 0, "datacenterName": "string", "lastVpnConfig": "2024-01-01T12:00:00Z", "remoteEndpointInternalIp": "192.0.2.0", "remoteEndpointPublicIp": "192.0.2.0", "remoteZvmInternalIp": "192.0.2.0", "role": "primary", "serviceName": "string", "state": "available", "type": "onPremise", "vpnConfigState": "configured", "vraNetwork": "192.0.2.0/24", "zertoVersion": "string" }, "remoteSitesInformation": [ { "datacenterId": 0, "datacenterName": "string", "lastVpnConfig": "2024-01-01T12:00:00Z", "remoteEndpointInternalIp": "192.0.2.0", "remoteEndpointPublicIp": "192.0.2.0", "remoteZvmInternalIp": "192.0.2.0", "role": "primary", "serviceName": "string", "state": "available", "type": "onPremise", "vpnConfigState": "configured", "vraNetwork": "192.0.2.0/24", "zertoVersion": "string" } ], "state": "available", "systemVersion": "string"}

List Zerto disaster recovery protected virtual machinesProduction

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/usageReport

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Query parameters

month
required
integer

Billing month

year
required
integer

Billing year

Response

200ZertoProtectedVm[]successful operation
fromDate
stringdate-time

Start of the backup for the requested period

protectedSite
string

Name of the site in which the VM is running

recoverySite
string

Name of the site where the VM is backed up

vmId
string

ID of the protected VM

vmName
string

Name of the protected VM

vpgName
string

Name of the virtual protection group in which the VM is located

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/usageReport \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "fromDate": "2024-01-01T12:00:00Z", "protectedSite": "string", "recoverySite": "string", "vmId": "string", "vmName": "string", "vpgName": "string" }]

Lists all Zerto VRAs along with their allocated CPU and RAM resourcesProduction

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/vraResources

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200ZertoVrasResource[]successful operation
cpu
integer

Number of CPUs of VRA VM

memory
integer

Memory of VRA vm in GB

vmId
integer

ID of the Vra

vraName
string

Name of the VRA VM

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/vraResources \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "cpu": 0, "memory": 0, "vmId": 0, "vraName": "string" }]

Updates the CPU and RAM resources allocated to a specified Zerto VRAProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/vraResources

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

resourcesSize
required
ZertoVraResourceSizeEnum

The desired CPU and RAM configuration for the VRA

ValuesLSXLXS
vmId
required
integer

The unique identifier of the VRA vm

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zerto/vraResources \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Configure VPN for Zerto disaster recovery between VMware on OVHcloud infrastructure and onsite infrastructureDeprecated

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/configureVpn

Deprecated since Sep 14, 2025, will be removed on Jan 14, 2026 — use /dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/remoteSites instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

preSharedKey
required
stringpassword

Pre-Shared Key to secure data transfer between both sites

remoteEndpointInternalIp
required
ipv4

Your onsite endpoint internal IP for the secured replication data tunnel

remoteEndpointPublicIp
required
ipv4

Your onsite endpoint public IP for the secured replication data tunnel

remoteVraNetwork
ipv4Block

Internal zerto subnet of your onsite infrastructure (ip/cidr)

remoteZvmInternalIp
required
ipv4

Internal ZVM ip of your onsite infrastructure

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/configureVpn \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Get Zerto disaster recovery default suggested local VRA subnetProduction

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/defaultLocalVraNetwork

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200ipv4Blocksuccessful operation

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/defaultLocalVraNetwork \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"192.0.2.0/24"

Disable Zerto disaster recovery between VMware on OVHcloud infrastructure and onsite infrastructureProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/disable

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/disable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Enable Zerto disaster recovery between VMware on OVHcloud infrastructure and onsite infrastructureDeprecated

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/enable

Deprecated since May 31, 2019, will be removed on Jun 30, 2019 — use /order/cart/{cartId}/privateCloud instead.

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

localVraNetwork
required
ipBlock

Internal zerto subnet for your OVH VMware on OVHcloud (ip/cidr)

ovhEndpointIp
required
ip

Your OVH VMware on OVHcloud public IP for the secured replication data tunnel endpoint

remoteVraNetwork
ipBlock

Deprecated - Internal zerto subnet of your onsite infrastructure (ip/cidr)

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/enable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Change the IP address used by Zerto disaster recovery endpoint for public network accessProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/endpointPublicIp

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

newEndpointPublicIp
required
ip

Your new public IP on your VMware on OVHcloud for the secured replication data tunnel endpoint

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/endpointPublicIp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

List Zerto disaster recovery remote sitesProduction

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/remoteSites

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200ZertoRemoteVra[]successful operation
id
integer

ID of the remote Vra Network

label
string

Name given to this network

remoteEndpointPublicIp
ip

Your onsite endpoint public IP for the secured replication data tunnel

remoteVraNetwork
ipBlock

Internal zerto subnet of your onsite infrastructure (ip/cidr)

remoteZvmInternalIp
ip

Internal ZVM ip on your onsite infrastructure local network

state
StateEnum

Current state of your current Zerto remote site

ValuescreatingdeletingdeliverederrortoCreatetoDeletetoUpdateunknownupdating

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/remoteSites \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "id": 0, "label": "string", "remoteEndpointPublicIp": "192.0.2.0", "remoteVraNetwork": "192.0.2.0/24", "remoteZvmInternalIp": "192.0.2.0", "state": "creating" }]

Create Zerto disaster recovery remote site on VPN endpointProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/remoteSites

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

label
required
string

The name for this connection

preSharedKey
required
stringpassword

Pre-Shared Key to secure data transfer between both sites

remoteEndpointPublicIp
required
ipv4

Your onsite endpoint public IP for the secured replication data tunnel

remoteVraNetwork
required
ipv4Block

Internal zerto subnet of your onsite infrastructure (ip/cidr)

remoteZvmInternalIp
required
ipv4

Internal ZVM ip of your onsite infrastructure

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/remoteSites \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Remove Zerto disaster recovery remote siteProduction

DELETE
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/remoteSites

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Query parameters

id
required
integer

The id number of the network to remove (as returned by a GET call)

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/remoteSites \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Request Zerto disaster recovery pairing token for onsite infrastructureProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/requestPairingToken

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/requestPairingToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Lists all Zerto VRAs along with their allocated CPU and RAM resourcesProduction

GET
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/vraResources

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Response

200ZertoVrasResource[]successful operation
cpu
integer

Number of CPUs of VRA VM

memory
integer

Memory of VRA vm in GB

vmId
integer

ID of the Vra

vraName
string

Name of the VRA VM

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/vraResources \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "cpu": 0, "memory": 0, "vmId": 0, "vraName": "string" }]

Updates the CPU and RAM resources allocated to a specified Zerto VRAProduction

POST
/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/vraResources

Path parameters

datacenterId
required
integer

Id of the Datacenter

serviceName
required
string

Domain of the service

Request body (required)

resourcesSize
required
ZertoVraResourceSizeEnum

The desired CPU and RAM configuration for the VRA

ValuesLSXLXS
vmId
required
integer

The unique identifier of the VRA vm

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses datacenterId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicatedCloud/{serviceName}/datacenter/{datacenterId}/disasterRecovery/zertoSingle/vraResources \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}